Summary: Lightweight C library that eases the writing of UNIX daemons
Name: libdaemon
Version: 0.8
Release: 4%{?dist}

License: GPL
URL: http://0pointer.de/lennart/projects/libdaemon
Group: System Environment/Libraries
Source: http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: libdaemon-devel = %{version}-%{release}

%description
libdaemon is a lightweight C library that eases the writing of UNIX
daemons. It consists of the following parts:
* A wrapper around fork() which does the correct daemonization
  procedure of a process
* A wrapper around syslog() for simpler and compatible log output to
  Syslog or STDERR
* An API for writing PID files
* An API for serializing UNIX signals into a pipe for usage with
  select() or poll()
* An API for running subprocesses with STDOUT and STDERR redirected
  to syslog.

%prep
%setup -q
%build
%configure --disable-doxygen  --disable-lynx
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_libdir}/pkgconfig/libdaemon.pc
%{_libdir}/libdaemon.*
%{_includedir}/libdaemon

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Jun 16 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.8.3
- make tag before committing leads to bad things 

* Thu Jun 16 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.8.2
- bad CVS tag

* Thu Jun 16 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.8.1
- bump to 0.8, add dist tag

* Wed May 25 2005 Aaron Kurtz <a.kurtz@hardsun.net - 0.7-1
- bump, new maintainer

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.6-6
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu May 13 2004 Aaron Bennett <aaron.bennett@olin.edu> 0:0.6-0.fdr.4
- Added post and postun scripts to run ldconfig
- changed group to standard System/Libraries group
- removed libtool *.la files

* Tue May 4 2004 Aaron Bennett <aaron.bennett@olin.edu> 0:0.6.-0.fdr.3
- Signed packaged with GPG key

* Tue May 4 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.6-0.fdr.2
- Changed URL and Source tag for Fedora.us packaging compliance
- Incremented release tag

* Thu Apr 29 2004 Aaron Bennett <abennett@olin.edu> - 0:0.6-1
- Changed to version 0.6 of libdaemon

* Wed Mar 31 2004 Aaron Bennett <abennett@olin.edu>
- Initial build.


